Bug 591543 - The default nginx configuration will cause problems when using the existing vhost config file
The default nginx configuration will cause problems when using the existing v...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: nginx (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Hinegardner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 10:25 EDT by Frantic
Modified: 2010-07-09 01:59 EDT (History)
1 user (show)

See Also:
Fixed In Version: nginx-0.6.39-5.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-09 01:59:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantic 2010-05-12 10:25:48 EDT
Description of problem:
The default nginx configuration will cause problems when using the existing vhost config file

How reproducible:
Install nginx.el5, you will have /etc/nginx/nginx.conf which will contain:
...
include /etc/nginx/conf.d/*.conf;
...
# The default server
server {
    listen       80;
    server_name  _;
...

There will also be /etc/nginx/conf.d/virtual.conf which has an example of how to set up a vhost. Define a simple name-based vhost inside:

server {
    server_name testvhost.localhost;
    # set up root, etc
}

Actual results:
At http://localhost/, you will get the testvhost.localhost host.

Expected results:
At http://localhos/, you should get the default vhost (_).

Additional info:
testvhost.localhost works as expected.
In order to get the expected result, I've moved the "include conf.d" part after the default server setup.
Comment 1 Jeremy Hinegardner 2010-06-20 19:02:45 EDT
This exists in all the Fedora releases too. Fixing there also.
Comment 2 Fedora Update System 2010-06-20 19:38:24 EDT
nginx-0.6.39-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/nginx-0.6.39-5.el5
Comment 3 Fedora Update System 2010-06-21 21:09:37 EDT
nginx-0.6.39-5.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nginx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nginx-0.6.39-5.el5
Comment 4 Fedora Update System 2010-07-09 01:59:27 EDT
nginx-0.6.39-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.